#!/bin/bash
# should start from the directory containing the script and related files
# exactly one parameter should be specified - path to file
# CentOS-5.0-i386-bin-DVD.iso or to device containing that image (e.g. /dev/dvd )
function die() {
   local eret;
   eret=$1; shift
   echo "$@" >&2
   exit $eret;
}

if test ${#@} -ne 1; then echo ERR: $0 requires one parameter - DVD iso path >&2; exit 4; fi
img="$1"; export img ;
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
for x in geniso.cfg curl_ctl.cfg; do
  if ! test -f $x; then echo ERR: No required file $x >&2; exit 8; fi
done
perl -we '
  use strict;
  while(<>) {
    next if /^\s*$/; next if /^\s*#/;
    chomp;
    die "ERR: Unexpected line $_" if not /^(\S+)\sbs 2k start (\d+) count (\d+) (\w+) (\w+)$/;
    my ($isofn, $start, $count, $odir, $arch) = ($1, $2, $3, $4, $5);
    my $img = $ENV{img};
    die "ERR: No required file/device $img\n" if not -e $img;
    print STDERR "About to generate file $odir/${isofn}_bs2k_start${start}_count$count ...\n";
    system("dd if=$img bs=2k count=$count skip=$start of=$odir/${isofn}_bs2k_start${start}_count$count");
  }
' curl_ctl.cfg || die 8 "ERR: Unsuccessful curl config processing";
./s2_checkfrag.bash

