#!/bin/bash
# should start from the directory containing the script and related files
# exactly one parameter should be specified - name of directory containing
# CentOS 5.0 CD images
if test ${#@} -ne 1; then echo ERR: $0 requires one parameter - CD image directory >&2; exit 4; fi
if test -f geniso.cfg; then . geniso.cfg; else echo ERR: No file geniso.cfg >&2; exit 8; fi
imgdir="$1";
if ! test -e "$imgdir"; then echo "ERR: $imgdir does not exist" >&2; exit 8; fi
if ! test -d "$imgdir"; then echo "ERR: $imgdir is not a directory" >&2; exit 8; fi
export imgdir
perl -ne 'next if /DVD/; s= \*= *$ENV{imgdir}/=; print' iso*.sha1 | env LANG=C sha1sum -wc
